#!/usr/bin/perl
#
# nagios-lib.pl - common routines for the Nagios Webmin inerface

# Grab common webmin routines and initialize
do '../web-lib.pl';
&init_config("nagios-admin");

# Grab access rules
%access = &get_module_acl();

sub nagios_error {
   &header($text{'error'}, "");
   print "<hr>\n<h3>",($whatfailed ? "$whatfailed : " : ""),join(" ", @_),"</h3>\n<hr>\n";
   &footer("index.cgi", $text{'back_link'});
   exit;
}

1;

